Server Actions
vente_sur_place
3 Server Actions du domaine vente_sur_place, générées depuis le registre de l’API agent.
vente_sur_place__createCounterSale
| Argument | Type | Requis |
|---|---|---|
raw | CounterSaleInput | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "vente_sur_place__createCounterSale",
"args": [
"<raw>"
]
}'vente_sur_place__explainEmptyCounterSearch
| Argument | Type | Requis |
|---|---|---|
locationId | string | oui |
query | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "vente_sur_place__explainEmptyCounterSearch",
"args": [
"<locationId>",
"<query>"
]
}'vente_sur_place__searchCounterStock
| Argument | Type | Requis |
|---|---|---|
locationId | string | oui |
query | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "vente_sur_place__searchCounterStock",
"args": [
"<locationId>",
"<query>"
]
}'